Random letters
Most popular
Newest
Latest
Хахахахахахк лох 20 летний.

Read full letter

Salam. Emshab k ino minevisam 24tir 1396e. Sa@ 10:59 deghas. Ba Reza Heydari doosti. Albate az doost bishtar, taze parishab bud k lo raft motevalede 70e na 69. Taze babasham 1sal shenasnamasho...

Read full letter

Labas, Simai, Čia Tau rašo Lina iš praeities {{{{: Dabar yra 2012-12-04 diena, Tu geri braškių arbatą ir žaidi savo paauglišką šaudynių žaidimą, o Henrikas guli skalbinių dėžėje...

Read full letter

Labas,Aiste.Šiandien dar vienas bevertis vakaras,praleistas prie kompiuterio.Mastau apei ateitį.Kas bus?Tikiuosi,turi mažą mergaitę.Jos vardas..Alisa.Visda norėjau tokio vardo savo...

Read full letter

Dear Future Estelle If you are reading this you have passed the tests past me has set for you. When you are reading this you will be 13-14. I have found that there are things.....creatures...

Read full letter

 
Back
 
 
Next
 
Phrase of the day
 
Create a promise
 
Write a letter